System.Design 2.0.0.0 System.Web.UI.Design.DataSourceConverter

The class provides methods that can be used to retrieve a list of the hierarchical data sources that are accessible to the current design-time component.

The type converter is used by Microsoft Visual Studio to provide the values that appear in the list of data sources in the Properties window.

You should never access a type converter directly. Instead, call the appropriate converter by using the class. For more information, see the examples in .

For more information about type converters, see the base class and How to: Implement a Type Converter.

Provides a type converter that can retrieve a list of the hierarchical data sources that are accessible to the current component.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Boolean ``

  The method uses the method to determine which components are available as standard accessible data sources. For the class, a valid data source is a component that implements the interface.

  Indicates whether the specified component is a valid data source for this converter.

  true if implements ; otherwise, false.

  The component to check as a valid data source.